Skip to main content
POST
/
accounts
/
{id}
/
posts
Create or schedule a post
curl --request POST \
  --url https://api.social-api.ai/v1/accounts/{id}/posts \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "account_ids": [
    "<string>"
  ],
  "media_ids": [
    "<string>"
  ],
  "platform_options": {},
  "scheduled_at": "<string>",
  "text": "<string>"
}
'
{
  "account_ids": [
    "<string>"
  ],
  "created_at": "2026-03-14T09:00:00Z",
  "id": "<string>",
  "media_ids": [
    "<string>"
  ],
  "scheduled_at": "2026-04-01T10:00:00Z",
  "status": "scheduled",
  "text": "<string>",
  "user_id": "<string>"
}

Authorizations

Authorization
string
header
required

Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...

Path Parameters

id
string
required

Connected account ID

Body

application/json

Post content

account_ids
string[]
media_ids
string[]
platform_options
object
scheduled_at
string
text
string

Response

Created

account_ids
string[]
created_at
string
Example:

"2026-03-14T09:00:00Z"

id
string
media_ids
string[]
scheduled_at
string
Example:

"2026-04-01T10:00:00Z"

status
string
Example:

"scheduled"

text
string
user_id
string